//---------------------------------------------------------------------------
#ifndef WaveformAPIH
#define WaveformAPIH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>

#include <mmsystem.h>
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TButton *StopButton;
	TButton *RecordButton;
	TTrackBar *TrackBar1;
    TBevel *Bevel1;
    TPanel *Panel1;
    TShape *Shape1;
    TShape *Shape2;
    TShape *Shape3;
    TShape *Shape4;
    TBevel *Bevel2;
	void __fastcall RecordButtonClick(TObject *Sender);
	void __fastcall StopButtonClick(TObject *Sender);
	void __fastcall TrackBar1Change(TObject *Sender);
    
private:	// User declarations
	unsigned long ulSize;
	bool FAllocated;
    bool FRecording;
    bool FPlaying;    
	HWAVEIN hwi;
    HWAVEOUT hwo;    
	HGLOBAL HData, HWaveHdr;
    LPSTR lpData;
	LPWAVEHDR lpWaveHdr;

    void __fastcall MMWimData(TMessage &Msg);
    void __fastcall MMWomDone(TMessage &Msg);

public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
    __fastcall ~TForm1();

BEGIN_MESSAGE_MAP
	MESSAGE_HANDLER(MM_WIM_DATA, TMessage, MMWimData)
	MESSAGE_HANDLER(MM_WOM_DONE, TMessage, MMWomDone)
END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
